'defaultPageCache':
  'cachePolicy':
    'class': 'info.magnolia.advancedcache.personalization.cache.PersonalizedCachePolicy'
    'includePersonalizedDescendants': 'false'
    'refreshOnNoCacheRequests': false
    'shouldBypassVoters':
      'urls':
        'level': '1'
        'includes':
          'all':
            'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
            'pattern': '/'
        'excludes':
          'not': true
          'dotMagnolia':
            'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
            'pattern': '/.magnolia'
          'restCache':
            'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
            'pattern': '/.rest/cache'
      'deny':
        'not': 'true'
        'parameters':
          'class': 'info.magnolia.voting.voters.RequestHasParametersVoter'
          'enabled': true
          'level': '4'
        'onAuthor':
          'class': 'info.magnolia.voting.voters.OnAdminVoter'
          'enabled': true
          'level': '2'
        'authenticated':
          'class': 'info.magnolia.voting.voters.AuthenticatedVoter'
          'enabled': 'true'
          'level': '2'
        'uidl':
          'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
          'enabled': 'true'
          'level': '2'
          'pattern': '/.magnolia/admincentral/UIDL'
      'resources':
        'class': 'info.magnolia.voting.voters.IfVoter'
        'condition':
          'class': 'info.magnolia.voting.voters.PropertyVoter'
          'property': 'magnolia.develop'
          'value': 'false'
        'then':
          'level': '3'
          'resources':
            'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
            'pattern': '/.resources'
          'javascript':
            'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
            'pattern': '/.magnolia/pages/javascript.js'
          'messages':
            'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
            'pattern': '/.magnolia/pages/messages'
    'ttlVoters':
      'browserTtlVoter':
        'class': 'info.magnolia.module.cache.cachepolicy.voters.BrowserTtlVoter'
      'serverTtlVoter':
        'class': 'info.magnolia.module.cache.cachepolicy.voters.ServerTtlVoter'
      'voting':
        'class': 'info.magnolia.module.cache.cachepolicy.voters.TtlVoting'
    'cacheKeyGenerator':
      'class': 'info.magnolia.advancedcache.personalization.cache.cookies.PersonalizedCookiesConsentAwareCacheKeyGenerator'
  'browserCachePolicy':
    'class': 'info.magnolia.module.cache.browsercachepolicy.BrowserCachePolicySet'
    'policies':
      'disableBrowserCacheInDevelopMode':
        'class': 'info.magnolia.module.cache.browsercachepolicy.Never'
        'voters':
          'developMode':
            'class': 'info.magnolia.voting.voters.PropertyVoter'
            'property': 'magnolia.develop'
            'value': 'true'
      'farFuture':
        'class': 'info.magnolia.module.cache.browsercachepolicy.FixedDuration'
        'expirationMinutes': '525600'
        'voters':
          'dotCacheExtension':
            'class': 'info.magnolia.voting.voters.URIRegexVoter'
            'pattern': '.*[~.]cache\.[^\.]*'
      'resources':
        'class': 'info.magnolia.module.cache.browsercachepolicy.FixedDuration'
        'expirationMinutes': '60'
        'voters':
          'op': 'OR'
          'dotResources':
            'class': 'info.magnolia.voting.voters.URIStartsWithVoter'
            'pattern': '/.resources/'
          'contentType':
            'class': 'info.magnolia.voting.voters.ResponseContentTypeVoter'
            'allowed':
              'css': 'text/css'
              'javascript': 'application/javascript'
              'x-javascript': 'application/x-javascript'
      'dontCachePages':
        'class': 'info.magnolia.module.cache.browsercachepolicy.Never'
        'voters':
          'op': 'OR'
          'contentType':
            'class': 'info.magnolia.voting.voters.ResponseContentTypeVoter'
            'allowed':
              'html': 'text/html'
      'default':
        'class': 'info.magnolia.module.cache.browsercachepolicy.FixedDuration'
        'expirationMinutes': '10'
  'executors':
    'bypass':
      'setExpirationHeader':
        'class': 'info.magnolia.module.cache.executor.SetExpirationHeaders'
      'bypass':
        'class': 'info.magnolia.module.cache.executor.Bypass'
    'store':
      'setExpirationHeader':
        'class': 'info.magnolia.module.cache.executor.SetExpirationHeaders'
      'cacheContent':
        'class': 'info.magnolia.advancedcache.personalization.cache.PersonalizedCacheStore'
      'serveContent':
        'class': 'info.magnolia.module.cache.executor.UseCache'
    'useCache':
      'setExpirationHeader':
        'class': 'info.magnolia.module.cache.executor.SetExpirationHeaders'
      'serveContent':
        'class': 'info.magnolia.module.cache.executor.UseCache'
  'flushPolicy':
    'class': 'info.magnolia.module.cache.DelegateFlushPolicy'
    'policies':
      'flushAll':
        'class': 'info.magnolia.module.cache.FlushAllListeningPolicy'
        'excludedWorkspaces':
          'advancedCache': 'advancedCache'
          'imaging': 'imaging'
          'magnolia-mgnlSystem': 'magnolia-mgnlSystem'
          'magnolia-mgnlVersion': 'magnolia-mgnlVersion'
          'messages': 'messages'
          'profiles': 'profiles'
          'users': 'users'
          'website': 'website'
      'lightModule':
        'class': 'info.magnolia.module.cache.flushpolicy.LightModuleChangesFlushPolicy'
        'pathToCacheMappings':
          'defaultPageCache':
            'cacheName': 'defaultPageCache'
            'pattern': '.*/(templates|webresources|i18n)/.*'
      'flushSiteAware':
        'class': 'info.magnolia.module.advancedcache.SiteAwareFlushAllListeningPolicy'
        'workspaces':
          'website': 'website'
